<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_5fde92609a43c9" . "160462278aec060" . "406" => base64_decode("Y29tbW9uLnVua25v" . "d24="), "_7ee25317ffedb4fe27bf" . "0b5036469b94" => base64_decode("Y29tbW9uLnR5cGUuZm9" . "sZGVy"), "_9410d17985408ab6a2962e6fdb621c5" . "e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJudGFnLnZlc" . "g=="), "_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1z" . "Zw=="), "_86e1215865" . "5092a9838a8" . "37f6cf6d639" => base64_decode("Li4vY29tbW9u" . "L2VybXNfcGtn" . "LnBocA=="), "_eb56828" . "483919e1" . "73c6ab77" . "2a8fa7d6" . "d" => base64_decode("Y29tbW9uL" . "nR5cGUuZG" . "9jdW1lbnQ" . "="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_86e1215" . "8655092a" . "9838a837" . "f6cf6d63" . "9"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_86e12158655092a9838a837f6cf6d" . "639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7ee25317ff" . "edb4fe27bf0" . "b5036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_eb56828483919e173c6ab7" . "72a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_9410d17985408ab6a2962e6" . "fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_5fde92609a43c9" . "160462278aec060" . "406"]);
    }
}